<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'annie',

    /*
     * Package.
     */
    'package'   => 'activity_task',

    /*
     * Modules.
     */
    'modules'   => ['activity', 'activity_activity_area', 'activity_area', 'activity_college', 'activity_community', 'activity_log', 'activity_manager', 'activity_metum', 'activity_programme', 'activity_project', 'activity_school', 'activity_social_partner', 'activity_work_area'],

    'activity'       => [
        'model' => [
            'model'                 => \Annie\ActivityTask\Models\Activity::class,
            'table'                 => 'activities',
            'presenter'             => \Annie\ActivityTask\Repositories\Presenter\ActivityPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'user_id',  'title',  'slug',  'description',  'activity_date',  'state_id',  'city_id',  'block_zone_id',  'village_id',  'images',  'videos',  'meta_title',  'meta_keywords',  'meta_description',  'hashtags',  'status',  'deteled_at',  'created_at',  'updated_at'],
            'translatables'         => [],
            'upload_folder'         => 'activity_task/activity',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Annie',
            'package'   => 'ActivityTask',
            'module'    => 'Activity',
        ],

    ],
    'activity_activity_area'       => [
        'model' => [
            'model'                 => \Annie\ActivityTask\Models\ActivityActivityArea::class,
            'table'                 => 'activity_activity_areas',
            'presenter'             => \Annie\ActivityTask\Repositories\Presenter\ActivityActivityAreaPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'activity_id',  'activity_area_id'],
            'translatables'         => [],
            'upload_folder'         => 'activity_task/activity_activity_area',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Annie',
            'package'   => 'ActivityTask',
            'module'    => 'ActivityActivityArea',
        ],

    ],
    'activity_area'       => [
        'model' => [
            'model'                 => \Annie\ActivityTask\Models\ActivityArea::class,
            'table'                 => 'activity_areas',
            'presenter'             => \Annie\ActivityTask\Repositories\Presenter\ActivityAreaPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'user_id',  'name',  'programme_id',  'slug',  'meta_title',  'meta_keywords',  'meta_description',  'deleted_at',  'created_at',  'updated_at'],
            'translatables'         => [],
            'upload_folder'         => 'activity_task/activity_area',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Annie',
            'package'   => 'ActivityTask',
            'module'    => 'ActivityArea',
        ],

    ],
    'activity_college'       => [
        'model' => [
            'model'                 => \Annie\ActivityTask\Models\ActivityCollege::class,
            'table'                 => 'activity_colleges',
            'presenter'             => \Annie\ActivityTask\Repositories\Presenter\ActivityCollegePresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'collage_id',  'activity_id'],
            'translatables'         => [],
            'upload_folder'         => 'activity_task/activity_college',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Annie',
            'package'   => 'ActivityTask',
            'module'    => 'ActivityCollege',
        ],

    ],
    'activity_community'       => [
        'model' => [
            'model'                 => \Annie\ActivityTask\Models\ActivityCommunity::class,
            'table'                 => 'activity_communities',
            'presenter'             => \Annie\ActivityTask\Repositories\Presenter\ActivityCommunityPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'activity_id',  'community_id'],
            'translatables'         => [],
            'upload_folder'         => 'activity_task/activity_community',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Annie',
            'package'   => 'ActivityTask',
            'module'    => 'ActivityCommunity',
        ],

    ],
    'activity_log'       => [
        'model' => [
            'model'                 => \Annie\ActivityTask\Models\ActivityLog::class,
            'table'                 => 'activity_logs',
            'presenter'             => \Annie\ActivityTask\Repositories\Presenter\ActivityLogPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'log_name',  'description',  'subject_id',  'subject_type',  'causer_id',  'causer_type',  'properties',  'created_at',  'updated_at'],
            'translatables'         => [],
            'upload_folder'         => 'activity_task/activity_log',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Annie',
            'package'   => 'ActivityTask',
            'module'    => 'ActivityLog',
        ],

    ],
    'activity_manager'       => [
        'model' => [
            'model'                 => \Annie\ActivityTask\Models\ActivityManager::class,
            'table'                 => 'activity_managers',
            'presenter'             => \Annie\ActivityTask\Repositories\Presenter\ActivityManagerPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'activity_id',  'profile_id'],
            'translatables'         => [],
            'upload_folder'         => 'activity_task/activity_manager',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Annie',
            'package'   => 'ActivityTask',
            'module'    => 'ActivityManager',
        ],

    ],
    'activity_metum'       => [
        'model' => [
            'model'                 => \Annie\ActivityTask\Models\ActivityMetum::class,
            'table'                 => 'activity_meta',
            'presenter'             => \Annie\ActivityTask\Repositories\Presenter\ActivityMetumPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'activity_id',  'meta_key',  'meta_value',  'created_at',  'updated_at',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'activity_task/activity_metum',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Annie',
            'package'   => 'ActivityTask',
            'module'    => 'ActivityMetum',
        ],

    ],
    'activity_programme'       => [
        'model' => [
            'model'                 => \Annie\ActivityTask\Models\ActivityProgramme::class,
            'table'                 => 'activity_programmes',
            'presenter'             => \Annie\ActivityTask\Repositories\Presenter\ActivityProgrammePresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'activity_id',  'programme_id'],
            'translatables'         => [],
            'upload_folder'         => 'activity_task/activity_programme',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Annie',
            'package'   => 'ActivityTask',
            'module'    => 'ActivityProgramme',
        ],

    ],
    'activity_project'       => [
        'model' => [
            'model'                 => \Annie\ActivityTask\Models\ActivityProject::class,
            'table'                 => 'activity_projects',
            'presenter'             => \Annie\ActivityTask\Repositories\Presenter\ActivityProjectPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'project_id',  'activity_id'],
            'translatables'         => [],
            'upload_folder'         => 'activity_task/activity_project',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Annie',
            'package'   => 'ActivityTask',
            'module'    => 'ActivityProject',
        ],

    ],
    'activity_school'       => [
        'model' => [
            'model'                 => \Annie\ActivityTask\Models\ActivitySchool::class,
            'table'                 => 'activity_schools',
            'presenter'             => \Annie\ActivityTask\Repositories\Presenter\ActivitySchoolPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'activity_id',  'school_id'],
            'translatables'         => [],
            'upload_folder'         => 'activity_task/activity_school',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Annie',
            'package'   => 'ActivityTask',
            'module'    => 'ActivitySchool',
        ],

    ],
    'activity_social_partner'       => [
        'model' => [
            'model'                 => \Annie\ActivityTask\Models\ActivitySocialPartner::class,
            'table'                 => 'activity_social_partners',
            'presenter'             => \Annie\ActivityTask\Repositories\Presenter\ActivitySocialPartnerPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'activity_id',  'social_partner_id'],
            'translatables'         => [],
            'upload_folder'         => 'activity_task/activity_social_partner',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Annie',
            'package'   => 'ActivityTask',
            'module'    => 'ActivitySocialPartner',
        ],

    ],
    'activity_work_area'       => [
        'model' => [
            'model'                 => \Annie\ActivityTask\Models\ActivityWorkArea::class,
            'table'                 => 'activity_work_areas',
            'presenter'             => \Annie\ActivityTask\Repositories\Presenter\ActivityWorkAreaPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'activity_id',  'work_area_id'],
            'translatables'         => [],
            'upload_folder'         => 'activity_task/activity_work_area',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Annie',
            'package'   => 'ActivityTask',
            'module'    => 'ActivityWorkArea',
        ],

    ],
];
