<?php

namespace Annie\ActivityTask\Providers;

use Illuminate\Contracts\Auth\Access\Gate as GateContract;
use Illuminate\Foundation\Support\Providers\AuthServiceProvider as ServiceProvider;

class AuthServiceProvider extends ServiceProvider
{
    /**
     * The policy mappings for the package.
     *
     * @var array
     */
    protected $policies = [
        // Bind Activity policy
        'Annie\ActivityTask\Models\Activity' => \Annie\ActivityTask\Policies\ActivityPolicy::class,
// Bind ActivityActivityArea policy
        'Annie\ActivityTask\Models\ActivityActivityArea' => \Annie\ActivityTask\Policies\ActivityActivityAreaPolicy::class,
// Bind ActivityArea policy
        'Annie\ActivityTask\Models\ActivityArea' => \Annie\ActivityTask\Policies\ActivityAreaPolicy::class,
// Bind ActivityCollege policy
        'Annie\ActivityTask\Models\ActivityCollege' => \Annie\ActivityTask\Policies\ActivityCollegePolicy::class,
// Bind ActivityCommunity policy
        'Annie\ActivityTask\Models\ActivityCommunity' => \Annie\ActivityTask\Policies\ActivityCommunityPolicy::class,
// Bind ActivityLog policy
        'Annie\ActivityTask\Models\ActivityLog' => \Annie\ActivityTask\Policies\ActivityLogPolicy::class,
// Bind ActivityManager policy
        'Annie\ActivityTask\Models\ActivityManager' => \Annie\ActivityTask\Policies\ActivityManagerPolicy::class,
// Bind ActivityMetum policy
        'Annie\ActivityTask\Models\ActivityMetum' => \Annie\ActivityTask\Policies\ActivityMetumPolicy::class,
// Bind ActivityProgramme policy
        'Annie\ActivityTask\Models\ActivityProgramme' => \Annie\ActivityTask\Policies\ActivityProgrammePolicy::class,
// Bind ActivityProject policy
        'Annie\ActivityTask\Models\ActivityProject' => \Annie\ActivityTask\Policies\ActivityProjectPolicy::class,
// Bind ActivitySchool policy
        'Annie\ActivityTask\Models\ActivitySchool' => \Annie\ActivityTask\Policies\ActivitySchoolPolicy::class,
// Bind ActivitySocialPartner policy
        'Annie\ActivityTask\Models\ActivitySocialPartner' => \Annie\ActivityTask\Policies\ActivitySocialPartnerPolicy::class,
// Bind ActivityWorkArea policy
        'Annie\ActivityTask\Models\ActivityWorkArea' => \Annie\ActivityTask\Policies\ActivityWorkAreaPolicy::class,
    ];

    /**
     * Register any package authentication / authorization services.
     *
     * @param \Illuminate\Contracts\Auth\Access\Gate $gate
     *
     * @return void
     */
    public function boot(GateContract $gate)
    {
        parent::registerPolicies($gate);
    }
}
