<?php

namespace Annie\ActivityTask\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class ActivityCollegeTransformer extends TransformerAbstract
{
    public function transform(\Annie\ActivityTask\Models\ActivityCollege $activity_college)
    {
        return [
            'id'                => $activity_college->getRouteKey(),
            'key'               => [
                'public'    => $activity_college->getPublicKey(),
                'route'     => $activity_college->getRouteKey(),
            ], 
            'id'                => $activity_college->id,
            'collage_id'        => $activity_college->collage_id,
            'activity_id'       => $activity_college->activity_id,
            'url'               => [
                'public'    => trans_url('activity_task/'.$activity_college->getPublicKey()),
                'user'      => guard_url('activity_task/activity_college/'.$activity_college->getRouteKey()),
            ], 
            'status'            => trans('app.'.$activity_college->status),
            'created_at'        => format_date($activity_college->created_at),
            'updated_at'        => format_date($activity_college->updated_at),
        ];
    }
}