<?php

namespace Annie\ActivityTask\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class ActivityWorkAreaTransformer extends TransformerAbstract
{
    public function transform(\Annie\ActivityTask\Models\ActivityWorkArea $activity_work_area)
    {
        return [
            'id'                => $activity_work_area->getRouteKey(),
            'key'               => [
                'public'    => $activity_work_area->getPublicKey(),
                'route'     => $activity_work_area->getRouteKey(),
            ], 
            'id'                => $activity_work_area->id,
            'activity_id'       => $activity_work_area->activity_id,
            'work_area_id'      => $activity_work_area->work_area_id,
            'url'               => [
                'public'    => trans_url('activity_task/'.$activity_work_area->getPublicKey()),
                'user'      => guard_url('activity_task/activity_work_area/'.$activity_work_area->getRouteKey()),
            ], 
            'status'            => trans('app.'.$activity_work_area->status),
            'created_at'        => format_date($activity_work_area->created_at),
            'updated_at'        => format_date($activity_work_area->updated_at),
        ];
    }
}